Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.serviceui
Class UIDialogFactory

    java.lang.Object
      org.jini.rio.resources.serviceui.UIDialogFactory

All Implemented Interfaces:
  Serializable, net.jini.lookup.ui.factory.JDialogFactory

    public class UIDialogFactory

extends Object
implements net.jini.lookup.ui.factory.JDialogFactory, Serializable

The UIDialogFactory class is a helper for use with the ServiceUI

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.jini.lookup.ui.factory.JDialogFactory
`TOOLKIT, TYPE_NAME`

Constructor Summary
`UIDialogFactory(URL[] exportURL, String className)`
`UIDialogFactory(URL exportUrl, String className)`

Method Summary
`JDialog` | `getJDialog(Object roleObject)`
`JDialog` | `getJDialog(Object roleObject, Dialog dialog)`
`JDialog` | `getJDialog(Object roleObject, Dialog dialog, boolean modal)`
`JDialog` | `getJDialog(Object roleObject, Frame frame)`
`JDialog` | `getJDialog(Object roleObject, Frame frame, boolean modal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIDialogFactory

    public UIDialogFactory(URL exportUrl,
                           String className)

### UIDialogFactory

    public UIDialogFactory(URL[] exportURL,
                           String className)

Method Detail

### getJDialog

    public JDialog getJDialog(Object roleObject,
                              Dialog dialog,
                              boolean modal)

  Specified by:
    `getJDialog` in interface `net.jini.lookup.ui.factory.JDialogFactory`

### getJDialog

    public JDialog getJDialog(Object roleObject,
                              Dialog dialog)

  Specified by:
    `getJDialog` in interface `net.jini.lookup.ui.factory.JDialogFactory`

### getJDialog

    public JDialog getJDialog(Object roleObject,
                              Frame frame,
                              boolean modal)

  Specified by:
    `getJDialog` in interface `net.jini.lookup.ui.factory.JDialogFactory`

### getJDialog

    public JDialog getJDialog(Object roleObject,
                              Frame frame)

  Specified by:
    `getJDialog` in interface `net.jini.lookup.ui.factory.JDialogFactory`

### getJDialog

    public JDialog getJDialog(Object roleObject)

  Specified by:
    `getJDialog` in interface `net.jini.lookup.ui.factory.JDialogFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.